Bug 494851 - Volume state before mute forgotten after reboot
Volume state before mute forgotten after reboot
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: pulseaudio (Show other bugs)
11
i686 Linux
low Severity medium
: ---
: ---
Assigned To: Lennart Poettering
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-04-08 07:39 EDT by Luo Bin
Modified: 2009-06-19 09:36 EDT (History)
5 users (show)

See Also:
Fixed In Version: 0.9.15-14.fc11
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-06-19 09:36:22 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Luo Bin 2009-04-08 07:39:41 EDT
Description of problem:
Fail to cancel mute after reboot!

Version-Release number of selected component (if applicable):
gnome-media-2.26.0-1.fc11.i586

Steps to Reproduce:
1. right-click the systray icon of gnome-volume-control and mark mute to enable it 
2. reboot computer
3.  right-click the systray icon of gnome-volume-control and un-mark mute to disable it ,it won't get applied.
Comment 1 Bastien Nocera 2009-04-23 10:11:33 EDT
PulseAudio is the one saving the sink stream status and value. Can you replicate the problem using pavucontrol instead?
Comment 2 Luo Bin 2009-04-23 19:49:01 EDT
I've test it just now ,use  pavucontrol to replace  gnome-volume-control ,and repeat  "Steps to Reproduce",get the same problem.
Comment 3 Bastien Nocera 2009-04-24 06:04:13 EDT
OK, reassigning.
Comment 4 Lennart Poettering 2009-04-24 11:11:11 EDT
Uh, what is this about? 

You are saying the mute status of your card is stuck?

Can you please run pavucontrol and try to unmute the card there?
Comment 5 Luo Bin 2009-04-24 12:47:31 EDT
(In reply to comment #4)
> Uh, what is this about? 
> 
> You are saying the mute status of your card is stuck?
> 
> Can you please run pavucontrol and try to unmute the card there?  

This is a UI problem ,i just can't unmute the card through " right-click the systray icon of gnome-volume-control and un-mark mute to disable it ",it's volume systray icon's problem.
Comment 6 Lennart Poettering 2009-04-24 13:04:15 EDT
I still don't get it.

If you try to unmute with a tool like 'pavucontrol' does it work there?
Comment 7 Matthias Clasen 2009-04-24 17:17:11 EDT
Lennart, when you mute the volume and then unmute it, it goes back to the previous value. The complaint is that this doesn't work if there is a reboot between the mute and the unmute, regardless which frontend you use.
Comment 8 Luo Bin 2009-04-24 19:11:02 EDT
(In reply to comment #6)
> I still don't get it.
> 
> If you try to unmute with a tool like 'pavucontrol' does it work there?  

  Matthias is right , "the volume get back to previous value" is a new problem ,i notice it happend after recent updates,but the unmute problem has been there for a long time.
I'm sorry for my poor english!
Comment 9 Lennart Poettering 2009-04-25 11:07:08 EDT
Please, could you try toggling the mute state with 'pavucontrol' as requested?
Comment 10 Luo Bin 2009-04-25 11:10:27 EDT
(In reply to comment #9)
> Please, could you try toggling the mute state with 'pavucontrol' as requested?  

I have already done this,please look at my reply above,It got the same problem,Thanks very much!
Comment 11 Lennart Poettering 2009-04-26 21:31:30 EDT
I still not sure I really get what is going on here. That said, could you please make sure it is only a reboot that triggers this problem? Or can you reproduce it it by logging out, waiting 10s, and then logging back in too?
Comment 12 Matthias Clasen 2009-04-27 22:32:18 EDT
I can confirm that just logging out and back in makes the mute checkbox become 'stuck'. Repeatedly trying to uncheck it has no effect. Surprisingly, opening the slider once without making any changes makes the mute checkbox become unstuck.
Comment 13 Lennart Poettering 2009-06-07 18:12:59 EDT
Is fixed upstream btw, wil prepare an update as soon as F11 is released.
Comment 14 Fedora Update System 2009-06-08 12:54:28 EDT
pulseaudio-0.9.15-13.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/pulseaudio-0.9.15-13.fc11
Comment 15 Bug Zapper 2009-06-09 09:29:21 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 16 Fedora Update System 2009-06-09 14:24:03 EDT
pulseaudio-0.9.15-14.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/pulseaudio-0.9.15-14.fc11
Comment 17 Fedora Update System 2009-06-15 22:30:43 EDT
pulseaudio-0.9.15-14.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update pulseaudio'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-6410
Comment 18 Fedora Update System 2009-06-19 09:36:07 EDT
pulseaudio-0.9.15-14.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.